
onEvent('player.tick', event => {
	if(event.player.underWater){
		
		let slot1 = event.player.inventory.find('minecraft:paper')
		let count1 = event.player.inventory.get(slot1).count
		if(slot1 != -1){
			event.player.inventory.set(slot1,Item.of('kubejs:wet_paper').withCount(count1))
		}

	}else if(event.player.inWater){
		
		let slot1 = event.player.inventory.find('minecraft:paper')
		if((slot1 >= 0 && slot1 <= 8) || slot1 == -106){
			let count1 = event.player.inventory.get(slot1).count
			event.player.inventory.set(slot1,Item.of('kubejs:wet_paper').withCount(count1))
		}

	}
})